package main

import (
	"fmt"
	"github.com/shirou/gopsutil/cpu"
	"github.com/shirou/gopsutil/disk"
	"github.com/shirou/gopsutil/mem"
	"time"
)

func GetCpuPercent() float64 {
	percent, _ := cpu.Percent(time.Second, false)
	return percent[0]
}

func GetMemPercent() float64 {
	memory1, _ := mem.SwapMemory()
	memory2, _ := mem.VirtualMemory()
	return memory1.UsedPercent + memory2.UsedPercent
}

func GetDiskPercent() float64 {
	parts, _ := disk.Partitions(true)
	diskInfo, _ := disk.Usage(parts[0].Mountpoint)
	return diskInfo.UsedPercent
}

func main() {
	fmt.Println("cpu总占用为：", GetCpuPercent())
	fmt.Println("内存总占用为：", GetMemPercent())
	fmt.Println("磁盘总占用为：", GetDiskPercent())
}
